;------------------------------------------------------------------------------
;  FILENAME:   TX8_1.inc
;   VERSION:   Rev B, 2002 May 24
;------------------------------------------------------------------------------
;  DESCRIPTION:
;     Assembler include file of TX8_1 instance of TX8 
;     user module.
;------------------------------------------------------------------------------
;	Copyright (c) Cypress MicroSystems 2000-2002. All Rights Reserved.
;------------------------------------------------------------------------------
;mask value for global int reg bit for TX instance
bTX8_1_INT_MASK:        equ 10h  
;TX8 interrupt address
TX8_1_INT_REG:          equ 0e1h  

;------------------------------------
;  Transmitter Parity masks
;------------------------------------
TX8_PARITY_NONE:           equ   00h
TX8_PARITY_EVEN:           equ   02h
TX8_PARITY_ODD:            equ   06h

;------------------------------------
;  Transmitter Status Register masks
;------------------------------------
TX8_TX_COMPLETE:           equ   20h
TX8_TX_BUFFER_EMPTY:       equ   10h

;---------------------------------
;  Registers used by TX8
;---------------------------------
TX8_1_CONTROL_REG:  equ 33h                      ;Control register
TX8_1_TX_SHIFT_REG: equ 30h                      ;TX Shift Register register
TX8_1_TX_BUFFER_REG:    equ 31h                  ;TX Buffer Register
TX8_1_FUNC_REG: equ 30h                          ;Function register
TX8_1_INPUT_REG:    equ 31h                      ;Input register
TX8_1_OUTPUT_REG:   equ 32h                      ;Output register

; end of file
