/******************************************************************************
*  FILENAME:      TX8_1.h
*   VERSION:      Rev B, 2002 May 24
*******************************************************************************
*  DESCRIPTION:
*     TX8_1 TX8 User Module header file.
*******************************************************************************
*	Copyright (c) Cypress MicroSystems 2000-2002. All Rights Reserved.
******************************************************************************/

/* include the global header file */
#include <m8c.h>

/* Create pragmas to support proper argument and return value passing */
#pragma fastcall  TX8_1_EnableInt
#pragma fastcall  TX8_1_DisableInt
#pragma fastcall  TX8_1_Start
#pragma fastcall  TX8_1_Stop
#pragma fastcall  TX8_1_SendData
#pragma fastcall bTX8_1_ReadTxStatus

/**************************************************
* Prototypes of TX8 API. For a definition of
* functions see TX8_1.inc. 
**************************************************/
extern void  TX8_1_EnableInt(void);
extern void  TX8_1_DisableInt(void);
extern void  TX8_1_Start(BYTE bParity);
extern void  TX8_1_Stop(void);
extern void  TX8_1_SendData(BYTE bTxData);
extern BYTE bTX8_1_ReadTxStatus(void);	 

/**************************************************
* Defines for TX8 API's. 
**************************************************/
//------------------------------------
//  Transmitter Parity masks
//------------------------------------
#define  TX8_PARITY_NONE         0x00
#define  TX8_PARITY_EVEN         0x02
#define  TX8_PARITY_ODD          0x06

//------------------------------------
//  Transmitter Status Register masks
//------------------------------------
#define  TX8_TX_COMPLETE         0x20
#define  TX8_TX_BUFFER_EMPTY     0x10


/************************************************
*  Hardware Register Definitions
*************************************************/
#pragma ioport  TX8_1_CONTROL_REG:  0x033                  //Control register
BYTE            TX8_1_CONTROL_REG;
#pragma ioport  TX8_1_TX_SHIFT_REG: 0x030                  //TX Shift Register register
BYTE            TX8_1_TX_SHIFT_REG;
#pragma ioport  TX8_1_TX_BUFFER_REG:    0x031              //TX Buffer Register
BYTE            TX8_1_TX_BUFFER_REG;
#pragma ioport  TX8_1_FUNC_REG: 0x130                      //Function register
BYTE            TX8_1_FUNC_REG; 
#pragma ioport  TX8_1_INPUT_REG:    0x131                  //Input register
BYTE            TX8_1_INPUT_REG;
#pragma ioport  TX8_1_OUTPUT_REG:   0x132                  //Output register
BYTE            TX8_1_OUTPUT_REG;

// end of file
