;-----------------------------------------------------------------------------
; Assembly main line
;-----------------------------------------------------------------------------
include "tx8_1.inc"
include "pwm8_1.inc"
include "m8c.inc"


export _main

_main:

temp:	equ 00h	;[temp] or [00] will store number n(nth element of the table)

call   PWM8_1_Start
call   TX8_1_Start



send_table:
mov [temp],0		;First element of the table will be loaded in to accumulator A
send_next_byte:
mov A,[00]			;Load the element number of the table to A
index MyTable		;retrieve the relevant element from the table to accumulator A
call  TX8_1_SendData ;Send the accumulator A value to PC

TXnotready:			;Check if the data is sent to the PC?
call bTX8_1_ReadTxStatus
and  A, TX8_TX_COMPLETE
jz  TXnotready	   ;No it is still sending , check again if the progress is completed


;Data is sent now.Check if we are at the end of the Table?
;If no Retrieve the next element of the Mytable and send it to PC
cmp [00],11			;Are we at the end of the Mytable?
jz  send_table		;Yes send the whole table to PC again 

;No there are still some elements which should be sent
;Then send the next element to PC
inc	[00]
jmp send_next_byte


MyTable:
     db 49h,A0h,4Ch,4Fh,56h,45h,A0h,50h,53h,6Fh,43h,A0h	;data sent to TX 
	   ;'I       L   O   V   E       P   S   o  C      '
	   
;ASCII CHARACTER MAP FOR :I LOVE PSoC
;I		-->49h
;Space	-->A0h
;L		-->4Ch
;O		-->4Fh
;V		-->56h
;E		-->45h
;Space	-->A0h
;P		-->50h
;S		-->53h
;o		-->6Fh
;C		-->43h
;Space	-->A0h
;Other ascii character codes can be found in the aplication note of this project in AppendixA


    ret