//***********************************************************************
//***********************************************************************
//
//  DELSIG8.h  for the 8 bit Delta Sigma A/D converter
//
//  C declarations for the DELSIG8 User Module.
//
//  Rev B, 2002 JUL 25
//
//  Copyright: Cypress Micro Systems 2000, 2001.  All Rights Reserved
//
//************************************************************************
//************************************************************************
#include <M8C.h>

#define DELSIG8_1_OFF         0
#define DELSIG8_1_LOWPOWER    1
#define DELSIG8_1_MEDPOWER    2
#define DELSIG8_1_HIGHPOWER   3

#pragma fastcall DELSIG8_1_Start
#pragma fastcall DELSIG8_1_SetPower
#pragma fastcall DELSIG8_1_StartAD
#pragma fastcall DELSIG8_1_StopAD
#pragma fastcall DELSIG8_1_Stop


extern void DELSIG8_1_Start(char power);
extern void DELSIG8_1_SetPower(char power);
extern void DELSIG8_1_StartAD(void);
extern void DELSIG8_1_StopAD(void);
extern void DELSIG8_1_Stop(void);


/************************************************
*  Hardware Register Definitions
*************************************************/
#pragma ioport  DELSIG8_1_AtoDcr0:  0x08c
BYTE            DELSIG8_1_AtoDcr0;
#pragma ioport  DELSIG8_1_AtoDcr1:  0x08d
BYTE            DELSIG8_1_AtoDcr1;
#pragma ioport  DELSIG8_1_AtoDcr2:  0x08e
BYTE            DELSIG8_1_AtoDcr2;
#pragma ioport  DELSIG8_1_AtoDcr3:  0x08f
BYTE            DELSIG8_1_AtoDcr3;
#pragma ioport  DELSIG8_1_TimerFN:  0x128
BYTE            DELSIG8_1_TimerFN;
#pragma ioport  DELSIG8_1_TimerSL:  0x129
BYTE            DELSIG8_1_TimerSL;
#pragma ioport  DELSIG8_1_TimerOS:  0x12a
BYTE            DELSIG8_1_TimerOS;
#pragma ioport  DELSIG8_1_TimerDR0: 0x028
BYTE            DELSIG8_1_TimerDR0;
#pragma ioport  DELSIG8_1_TimerDR1: 0x029
BYTE            DELSIG8_1_TimerDR1;
#pragma ioport  DELSIG8_1_TimerDR2: 0x02a
BYTE            DELSIG8_1_TimerDR2;
#pragma ioport  DELSIG8_1_TimerCR0: 0x02b
BYTE            DELSIG8_1_TimerCR0;
