/******************************************************************************
*  FILENAME:      PWM16_1.h
*   VERSION:      Rev B, 2002 Mar 30
*******************************************************************************
*  DESCRIPTION:
*     PWM16_1 PWM16 User Module header file.
*******************************************************************************
*	Copyright (c) Cypress MicroSystems 2000-2002. All Rights Reserved.
******************************************************************************/

/* include the global header file */
#include <m8c.h>

/* Create pragmas to support proper argument and return value passing */
#pragma fastcall  PWM16_1_EnableInt
#pragma fastcall  PWM16_1_DisableInt
#pragma fastcall  PWM16_1_Start
#pragma fastcall  PWM16_1_Stop
#pragma fastcall  PWM16_1_WritePeriod
#pragma fastcall  PWM16_1_WritePulseWidth
#pragma fastcall wPWM16_1_ReadPulseWidth
#pragma fastcall wPWM16_1_ReadCounter

/**************************************************
* Prototypes of PWM API. For a definition of
* functions see PWM16_1.inc. 
**************************************************/
extern void  PWM16_1_EnableInt(void);
extern void  PWM16_1_DisableInt(void);
extern void  PWM16_1_Start(void);
extern void  PWM16_1_Stop(void);
extern void  PWM16_1_WritePeriod(WORD wPeriod);
extern void  PWM16_1_WritePulseWidth(WORD wPulseWidth);
extern WORD wPWM16_1_ReadPulseWidth(void);	
extern WORD wPWM16_1_ReadCounter(void);	 

/************************************************
*  Hardware Register Definitions
*************************************************/
#pragma ioport  PWM16_1_CONTROL_LSB_REG:    0x02b          //Control register LSB
BYTE            PWM16_1_CONTROL_LSB_REG;
#pragma ioport  PWM16_1_CONTROL_MSB_REG:    0x02f          //Control register MSB
BYTE            PWM16_1_CONTROL_MSB_REG;
#pragma ioport  PWM16_1_COUNTER_LSB_REG:    0x028          //Counter register LSB
BYTE            PWM16_1_COUNTER_LSB_REG;
#pragma ioport  PWM16_1_COUNTER_MSB_REG:    0x02c          //Counter register MSB
BYTE            PWM16_1_COUNTER_MSB_REG;
#pragma ioport  PWM16_1_PERIOD_LSB_REG: 0x029              //Period register LSB
BYTE            PWM16_1_PERIOD_LSB_REG;
#pragma ioport  PWM16_1_PERIOD_MSB_REG: 0x02d              //Period register MSB
BYTE            PWM16_1_PERIOD_MSB_REG;
#pragma ioport  PWM16_1_PWDITH_LSB_REG: 0x02a              //PulseWidth register LSB
BYTE            PWM16_1_PWDITH_LSB_REG;
#pragma ioport  PWM16_1_PWDITH_MSG_REG: 0x02e              //PulseWidth register MSB
BYTE            PWM16_1_PWDITH_MSG_REG;
#pragma ioport  PWM16_1_FUNC_LSB_REG:   0x128              //Function register LSB
BYTE            PWM16_1_FUNC_LSB_REG;
#pragma ioport  PWM16_1_FUNC_MSB_REG:   0x12c              //Function register MSB
BYTE            PWM16_1_FUNC_MSB_REG;
#pragma ioport  PWM16_1_INPUT_LSB_REG:  0x129              //Input register LSB
BYTE            PWM16_1_INPUT_LSB_REG;
#pragma ioport  PWM16_1_INPUT_MSB_REG:  0x12d              //Input register MSB
BYTE            PWM16_1_INPUT_MSB_REG;
#pragma ioport  PWM16_1_OUTPUT_LSB_REG: 0x12a              //Output register LSB
BYTE            PWM16_1_OUTPUT_LSB_REG;
#pragma ioport  PWM16_1_OUTPUT_MSB_REG: 0x12e              //Output register MSB
BYTE            PWM16_1_OUTPUT_MSB_REG;

// end of file
