include "SAR6_1.inc"
include "PGA_1.inc"
include "TX8_1.inc"
include "m8c.inc"

export _main

area bss(RAM) 
    buffer:   BLK  F0h				;Captured data is stored in this RAM block
area text(ROM,REL)

_main:

temp:				equ 00h

   mov 	A,PGA_1_HIGHPOWER			
   call  PGA_1_Start
   call  TX8_1_Start
   mov A,SAR6_1_HIGHPOWER    
   call SAR6_1_Start

sampleagain:
	mov X,01h	;Ram[01] will hold the 50-->ASCII character '2'.This is a sign that
	mov [x],50  ;informs the PC a new array of byte is coming.PC will draw the graph
				;after a little interval.
	inc x		;Ready for writing data to RAM[02]
    
   store:
    call  	SAR6_1_GetSample	;This will get the output byte of SAR6 to acc A
	mov [temp],A				;Retrived data is stored to temporary ram area 
	sub A,32 ;					;Is the retrieved data between 0 and 31?
	jnc goon					;No it is not , then this is an ASCII character, no problem.
	add [temp],33				;Yes the retrieved data is between 0 and 31.Then add 33 to this data
								;So we can make it an ASCII character

goon:	
	mov A,[temp]			;Captured data is loaded to A again.
	mov		[X],A			;Store the retrieved byte to the RAM location
    inc	X					;Ready for next byte 
    mov A,X					;Load index register to A
    cmp A,F0h				;Check if the RAM is full of retrived data? 
    jnz	store				;No we have empty RAM areas which should be filled with retrieved bytes
    
;	RAM area[02-EF] is filled with digital codes of analog signal
;Now it is time to send these bytes to PC
;PSoC will miss some of data whike it is sending the stored bytes
	
	mov X,00h				;Index register shows RAM[00]
	send:
	inc X					;Go to the next RAM address.Note that RAM[01] includes a sign
							;which means it is the beginning of a new array of bytes.
	mov A,X					
	cmp A,F0h				;Check if PSoC has completed the process(Serial transmission of bytes)
	jz sampleagain			;If yes , then sample and store the next bytes for incoming signal

	mov A,[X]				;If the process is not finished yet then load the byte which will be sent
	call  TX8_1_SendData	;send the byte to receiver

	isitready:				;Check if the serial transmission of the current byte is finished?
	call bTX8_1_ReadTxStatus
	and  A, TX8_TX_COMPLETE
	jz  isitready			;If PSoC still sending the current byte then wait until it is ready for next byte
	
	jmp	 send				;Send the next byte to the PC

   ret

